diff --git a/w3m/Makefile b/w3m/Makefile
new file mode 100644
index 0000000..9e2af89
--- /dev/null
+++ b/w3m/Makefile
@@ -0,0 +1,33 @@
+# env
+# Written in 2020 by Lucas
+# CC0 1.0 Universal/Public domain - No rights reserved
+#
+# To the extent possible under law, the author(s) have dedicated all
+# copyright and related and neighboring rights to this software to the
+# public domain worldwide. This software is distributed without any
+# warranty. You should have received a copy of the CC0 Public Domain
+# Dedication along with this software. If not, see
+# .
+.POSIX:
+.SUFFIXES:
+
+PREFIX= $(HOME)
+
+DIRS= cgi-bin
+FILES= config urimethodmap
+
+install:
+ mkdir -p $(PREFIX)/.w3m
+ cp -f $(FILES) $(PREFIX)/.w3m
+ cp -fr $(DIRS) $(PREFIX)/.w3m
+
+diff:
+ -for f in $(FILES); do \
+ diff -u "$$f" $(PREFIX)/.w3m/"$$f"; \
+ done
+ -for d in $(DIRS); do for f in "$$d"/*; do \
+ diff -u "$$f" $(PREFIX)/.w3m/"$$f"; \
+ done; done
+
+uninstall:
+ cd $(PREFIX)/.w3m && rm -fr $(DIRS) && rm -f $(FILES)
diff --git a/w3m/cgi-bin/magnet.cgi b/w3m/cgi-bin/magnet.cgi
new file mode 100755
index 0000000..ad2a45c
--- /dev/null
+++ b/w3m/cgi-bin/magnet.cgi
@@ -0,0 +1,29 @@
+#!/bin/sh
+# env
+# Written in 2020 by Lucas
+# CC0 1.0 Universal/Public domain - No rights reserved
+#
+# To the extent possible under law, the author(s) have dedicated all
+# copyright and related and neighboring rights to this software to the
+# public domain worldwide. This software is distributed without any
+# warranty. You should have received a copy of the CC0 Public Domain
+# Dedication along with this software. If not, see
+# .
+
+printf "Content-type: text/plain\n\n"
+case $QUERY_STRING in
+magnet:*)
+ transmission-remote -ne -a "$QUERY_STRING" 2>&1
+ rc=$?
+ if [ $rc -ne 0 ]; then
+ printf "ERR: %d\n" $rc
+ else
+ printf "OK\n"
+ fi
+ exit $rc
+ ;;
+*)
+ printf "Invalid QUERY_STRING: %s\n" "$QUERY_STRING"
+ exit 1
+ ;;
+esac
diff --git a/w3m/config b/w3m/config
new file mode 100644
index 0000000..db35db0
--- /dev/null
+++ b/w3m/config
@@ -0,0 +1,14 @@
+# env
+# Written in 2020 by Lucas
+# CC0 1.0 Universal/Public domain - No rights reserved
+#
+# To the extent possible under law, the author(s) have dedicated all
+# copyright and related and neighboring rights to this software to the
+# public domain worldwide. This software is distributed without any
+# warranty. You should have received a copy of the CC0 Public Domain
+# Dedication along with this software. If not, see
+# .
+
+extbrowser w3m-copy-link %s
+cgi_bin ~/.w3m/cgi-bin
+use_mouse false
diff --git a/w3m/urimethodmap b/w3m/urimethodmap
new file mode 100644
index 0000000..11b011b
--- /dev/null
+++ b/w3m/urimethodmap
@@ -0,0 +1 @@
+magnet: file:/cgi-bin/magnet.cgi?%s